Bug 1414958 - Documentation: Minimum requirement - need to set the minimum amount of RAM
Summary: Documentation: Minimum requirement - need to set the minimum amount of RAM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 10.0 (Newton)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 19:51 UTC by Alexander Chuzhoy
Modified: 2017-01-26 21:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-26 21:00:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Chuzhoy 2017-01-19 19:51:56 UTC
Checking the minimum requirements of controllers here:
https://access.redhat.com/documentation/en/red-hat-openstack-platform/10/paged/director-installation-and-usage/chapter-2-requirements


"
Memory

    The amount of recommended memory depends on the number of CPU cores. Use the following calculations as guidance:

        Controller RAM minimum calculation:
            Use 1.5 GB of memory per core. For example, a machine with 48 cores should have 72 GB of RAM. 

        Controller RAM recommended calculation:
            Use 3GB of memory per core. For example, a machine with 48 core should have 144 GB of RAM 
"

We should add a note to have at least 16GB of ram (even on nodes with 1 or 2 CPUs).

*Note: I ran into https://bugzilla.redhat.com/show_bug.cgi?id=1414900 when I had controllers with 8GB and 4 CPUs

Comment 2 Dan Macpherson 2017-01-20 01:34:08 UTC
Hi Sasha,

This should be live now and also backported to OSP9:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/10/paged/director-installation-and-usage/chapter-2-requirements

Was there anything further required for this BZ?

Comment 3 Alexander Chuzhoy 2017-01-25 20:50:43 UTC
No, that's it. Thank you!

Comment 4 Dan Macpherson 2017-01-26 21:00:03 UTC
Thanks, Sasha! Closing this BZ.


Note You need to log in before you can comment on or make changes to this bug.